@use '../abstracts/' as a;

$header_section_height: 650px;
$max-width: 768px;

/* =================================================================================
HEADER MENU
===================================================================================*/


.header-menu {
    display: flex;
    align-items: center;
    position: absolute;
    padding-top: 20px;
    width: 100%;
    z-index: 999;
    justify-content:space-around;
    font-family: a.$font-family-menu;
   
    a   {
        color: a.$white;
        }
    
    &__item_Project {
        @include a.item-Project_fonts;
        flex: 1 1 100%;
        text-align: center; 
        font-size: a.$font-size-item-Project;
        }
         
    &__center_menu {
        flex: 1 0 400px;
        @include a.center-menu_fonts;
        display: flex;
        @media (max-width: $max-width) {
                flex-direction: column;
                flex: 1 1 100%;
                margin-right: 60px;
                margin-left: 0%;
                margin-top: 25px;
            }
        list-style-type: none;
        justify-content: space-evenly;
        padding: 0;
        }

    &__item_empty {
        flex: 1 1 100%;
        @media (max-width: $max-width) {
               flex: 1 1 0%;
               }
                
        }
    &__center_menu_collapsed {
        @media (max-width: $max-width) {
            background-color: white;
            padding: 0ex;
            margin: 2px;
            width: 32px;
            height: 5px;
            margin-left: auto;
            margin-right: 0;
            a {
                color: transparent;
                font-size: 0px;
              }
            }   
       }
    &__center_menu_collapsed_last {
        @media (max-width: $max-width) {
            display: none;
        }

    }
    

   }
   